<?php
//***************************************************************************//
//                                                                           //
//  Program Name    	: vCard PRO                                          //
//  Program Version     : 3.1 Build 4                                        //
//  Program Author      : Joao Kikuchi,  Belchior Foundry                    //
//  Home Page           : http://www.belchiorfoundry.com                     //
//  Supplied by         : WTN-WDYL Team                                      //
//  Nullified By        : WTN-WDYL Team                                      //
//  Distribution        : via WebForum, ForumRU and associated file dumps    //
//                                                                           //
//                (C) Copyright 2001-2005 Belchior Foundry                   //
//***************************************************************************//
define('IN_VCARD', true);
define('CURR_FILE','emaillog.php');
include('./lib.inc.php');
include(VCARD_ROOT_PATH.'include/define.inc.php');

check_lvl_access($canviewemailog);

// ############################# DB ACTION #############################
if ($action == 'clean_db')
{
	$result = $DB_site->query("DELETE FROM ". TBL_LOG_EMAIL ." ");
	redirect_die(CURR_FILE);
}

if ($action == 'download_log')
{
	$options = array(
	',' => ',',
	'|' => '|',
	';' => ';',
	'TAB' => '	'
	);
	$separator = $options[$separator];
	
	$file_name = 'emails_' . date("Y-m-d");
	$eol = ($download_eol=='n')? "\n" : ($download_eol=='rn')? "\r\n": "\r";
	$temp_buffer = $msg['a_name'] . $separator . $msg['a_email_address'] . $separator . $msg['a_date'];
	$temp_buffer .= $eol;
	$sql = "SELECT * FROM ". TBL_LOG_EMAIL ." GROUP BY email";
	$data_arr = $DB_site->query($sql);
	while ($log = $DB_site->fetch_array($data_arr))
	{
		if ($item_name)
		{
			$temp_buffer .= stripslashes(my_htmlspecialchars($log['name']));
		}
		$temp_buffer .= $separator;
		if ($item_email)
		{
			$temp_buffer .= stripslashes(my_htmlspecialchars($log['email']));
		}
		$temp_buffer .= $separator;
		if ($item_date)
		{
			$temp_buffer .=  stripslashes(my_htmlspecialchars($log['date']));
		}
		$temp_buffer .= $eol;
	}
	$DB_site->free_result($data_arr);
	if ($compress_type == 'zip')
	{
	// zip file
		if (VC_PHP_INT_VERSION >= 40000 && @function_exists('gzcompress'))
		{
			$zipfile = new zipfile();
			$zipfile->add_file($temp_buffer, $file_name .'.txt');
			header("Content-disposition: filename=$file_name.zip");
			header("Content-type: unknown/unknown");
			echo $zipfile->file();
		}
	}
	elseif ($compress_type == 'bzip')
	{
	// bzipped file
		if (VC_PHP_INT_VERSION >= 40004 && @function_exists('bzcompress'))
		{
			header("Content-disposition: filename=$file_name.bz2");
			header("Content-type: unknown/unknown");
			echo bzcompress($temp_buffer);
		} 
	}
	elseif ( $compress_type == 'gzip')
	{
	// gzipped file
		if (VC_PHP_INT_VERSION >= 40004 && @function_exists('gzencode'))
		{
			header("Content-disposition: filename=$file_name.gz");
			header("Content-type: unknown/unknown");
			// without the optional parameter level because it bug
			echo gzencode($temp_buffer);
		}
	// screen
	}
	elseif( $compress_type == 'none' )
	{
		header("Content-disposition: filename=$file_name.txt");
		header("Content-type: unknown/unknown");
		echo $temp_buffer;
	}
	else
	{
		header("Content-disposition: filename=$file_name.txt");
		header("Content-type: unknown/unknown");
		echo $temp_buffer;
	}
	exit;
}

include(VCARD_ROOT_PATH.'include/admin_header.inc.php');
// ############################# ACTION SCREENS #############################
if ($action == 'view_log')
{
	$options = array(
	',' => ',',
	'|' => '|',
	';' => ';',
	'TAB' => '	'
	);
	$separator = $options[$separator];
	$HTML_site->table_header($msg['a_email_log']);
	$HTML_site->table_footer();
	echo "<br /><pre>\n\n\n". $msg['a_name'] ."" . $separator . $msg['a_email_address'] . $separator . $msg['a_date'] ."\n";
	$sql = "SELECT * FROM ". TBL_LOG_EMAIL ." GROUP BY email";
	$data_arr = $DB_site->query($sql);
	while ($log = $DB_site->fetch_array($data_arr))
	{
		if ($item_name)
		{
			echo stripslashes(my_htmlspecialchars($log['name']));
		}
		echo $separator;
		if ($item_email)
		{
			echo stripslashes(my_htmlspecialchars($log['email']));
		}
		echo $separator;
		if ($item_date)
		{
			echo stripslashes(my_htmlspecialchars($log['date']));
		}
		echo "\n";
	}
	$DB_site->free_result($data_arr);
	exit;
}

if (empty($action))
{
	$HTML_site->form_header(CURR_FILE,'view_log');
	$HTML_site->table_header($msg['a_which_info']);
	$HTML_site->form_checkbox($msg['a_name'],'item_name',1,true);
	$HTML_site->form_checkbox($msg['a_email_address'],'item_email',1,true);
	$HTML_site->form_checkbox($msg['a_date_of_subscription'],'item_date',1,true);

	$options = array(
	',' => ',',
	'|' => '|',
	';' => ';',
	' ' => 'TAB'
	);
	$HTML_site->form_radio($msg['a_delimeter'],'separator',$options,'|');
	$HTML_site->form_footer($msg['a_view']);

	$HTML_site->form_header(CURR_FILE,'download_log');
	$HTML_site->table_header($msg['a_download_as_flat_text']);
	$HTML_site->form_checkbox($msg['a_name'],'item_name',1,true);
	$HTML_site->form_checkbox($msg['a_email_address'],'item_email',1,true);
	$HTML_site->form_checkbox($msg['a_date_of_subscription'],'item_date',1,true);

	$options = array(
	',' => ',',
	'|' => '|',
	';' => ';',
	' ' => 'TAB'
	);
	$HTML_site->form_radio($msg['a_delimeter'],'separator',$options,'|');
	
	$options = array();
	if (VC_PHP_INT_VERSION >= 40004)
	{
		$is_zip = (@function_exists('gzcompress'))?1:0;
		$is_gzip = (@function_exists('gzencode'))?1:0;
		$is_bzip = (@function_exists('bzcompress'))?1:0;
		if ($is_zip || $is_gzip || $is_bzip)
		{
			if ($is_zip==1)
			{
				$options['zip'] = 'zip';
			}
			if ($is_gzip==1)
			{
				$options['gzip'] = 'gzip';
			}
			if ($is_bzip==1)
			{
				$options['bzip'] = 'bzip';
			}
		}
	}
	$options['none'] = $msg['a_none'];
	$HTML_site->form_radio('  ','compress_type',$options,'none');
	$options = array(	'n' => ' (\n)',
						'rn' => ' (\r\n)',
						'r' => '(\r)'
						);
	$HTML_site->form_select($msg['a_eol'],'download_eol',$options,'n');
	$HTML_site->form_footer($msg['a_download']);
	
	$HTML_site->form_header(CURR_FILE,'clean_db');
	$HTML_site->table_header($msg['a_empty_log']);
	$HTML_site->form_note($msg['a_note_log_email']);
	$HTML_site->form_footer($msg['a_empty']);
}

include(VCARD_ROOT_PATH.'include/admin_footer.inc.php');
?>
